%==========================================================================
% Table 5 / Numerical example
% see optimum.m for details
%==========================================================================

param(1)=0.0001;   %pi;
param(2)=0.01;     %p1;
param(3)=0.25;     %ci;
param(4)=20;       %cnc;
param(5)=100;      %ca;
param(6)=2;        %cs_nc;
param(7)=2.5;      %cs_c;
param(8)=0.01;     %alpha;
param(9)=0.01;     %beta;
param(10)=1e-6;    %deltamax;
param(11)=0.03;    %phimax;


vcnc=[5 10 15 20];
vca=[50 100 150 200];
vci=[0.25 0.50 0.75 1.00];

n1=length(vcnc);
n2=length(vca);
n3=length(vci);

results=zeros(n1*n2,n3*4);

cont=0;
	
for i1=1:n1
    for i2=1:n2
        for j=1:n3

            cont=cont+1;

            param(3)=vci(j);    %ci;
            param(4)=vcnc(i1);  %cnc;
            param(5)=vca(i2);   %ca;

            [mo,ro,Co,phio]=optimum(param,[],[],[0 1 1],1,cont);

            results((i1-1)*n2+i2,(j-1)*4+1)=mo;
            results((i1-1)*n2+i2,(j-1)*4+2)=ro;
            results((i1-1)*n2+i2,(j-1)*4+3)=Co;
            results((i1-1)*n2+i2,(j-1)*4+4)=phio;

        end
    end
end


results